/* Base button */
.btn {
  display: inline-flex;
  align-items: center;
  justify-content: center;
  font-family: var(--font-body);
  border-radius: var(--radius-pill);
  padding: 1rem 2rem;
  font-size: 14px;
  font-weight: 500;
  line-height: 1.2;

  cursor: pointer;
  border: none;

  transition: var(--transition);
}
.btn--small {
  padding: 0.5rem 0.75rem;
}

/* =========================
   VARIANTS
========================= */

/* Primary filled */
.btn--primary {
  background: var(--color-dark);
  color: var(--text-light);
}

.btn--primary:hover {
  background: var(--color-primary);
  color: var(--text-dark);
}

/* Outline */
.btn--outline {
  background: transparent;
  border: 2px solid var(--color-dark);
  color: var(--text-dark);
}

.btn--outline:hover {
  background: var(--color-dark);
  color: var(--text-light);
}

/* Secondary (blue) */
.btn--secondary {
  background: transparent;
  border: 1.5px solid var(--color-secondary);
  color: var(--color-secondary);
}

.btn--secondary:hover {
  background: var(--color-secondary);
  color: var(--text-light);
}

/* ICON BUTTON */

.btn--icon {
  width: 2.25rem;
  height: 2.25rem;
  padding: 0;
  border-radius: 50%;
}

/* dark icon */
.btn--icon-dark {
  background: #333;
  color: white;
}

.btn--icon-dark:hover {
  background: var(--color-primary);
  color: black;
}

/* primary icon */
.btn--icon-primary {
  background: var(--color-primary);
  color: black;
}

/* disabled */
.btn--disabled,
.btn:disabled {
  background: var(--color-muted);
  color: #888;
  cursor: not-allowed;
}

/* ARROW ICON */
.btn__arrow_left {
  display: inline-block;
  border: solid currentColor;
  border-width: 0 2px 2px 0;
  padding: 4px;
  transform: rotate(135deg);
}

.btn__arrow_right {
  display: inline-block;
  border: solid currentColor;
  border-width: 0 2px 2px 0;
  padding: 4px;
  transform: rotate(-45deg);
}
